Package com.emc.d2fs.services.d2_taxonomy_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.d2_taxonomy_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.d2_taxonomy_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.d2_taxonomy_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetExportTaxonomyUrlRequest`
  `createGetExportTaxonomyUrlRequest()`
  Create an instance of `GetExportTaxonomyUrlRequest`
  `GetExportTaxonomyUrlResponse`
  `createGetExportTaxonomyUrlResponse()`
  Create an instance of `GetExportTaxonomyUrlResponse`
  `GetImportTaxonomyUrlRequest`
  `createGetImportTaxonomyUrlRequest()`
  Create an instance of `GetImportTaxonomyUrlRequest`
  `GetImportTaxonomyUrlResponse`
  `createGetImportTaxonomyUrlResponse()`
  Create an instance of `GetImportTaxonomyUrlResponse`
  `ImportVersionTaxonomyRequest`
  `createImportVersionTaxonomyRequest()`
  Create an instance of `ImportVersionTaxonomyRequest`
  `ImportVersionTaxonomyResponse`
  `createImportVersionTaxonomyResponse()`
  Create an instance of `ImportVersionTaxonomyResponse`
  `SaveTaxonomyRequest`
  `createSaveTaxonomyRequest()`
  Create an instance of `SaveTaxonomyRequest`
  `SaveTaxonomyResponse`
  `createSaveTaxonomyResponse()`
  Create an instance of `SaveTaxonomyResponse`
  `SaveVersionTaxonomyRequest`
  `createSaveVersionTaxonomyRequest()`
  Create an instance of `SaveVersionTaxonomyRequest`
  `SaveVersionTaxonomyResponse`
  `createSaveVersionTaxonomyResponse()`
  Create an instance of `SaveVersionTaxonomyResponse`
  `TaxonomyExportRequest`
  `createTaxonomyExportRequest()`
  Create an instance of `TaxonomyExportRequest`
  `TaxonomyExportResponse`
  `createTaxonomyExportResponse()`
  Create an instance of `TaxonomyExportResponse`
  `TaxonomyImportRequest`
  `createTaxonomyImportRequest()`
  Create an instance of `TaxonomyImportRequest`
  `TaxonomyImportResponse`
  `createTaxonomyImportResponse()`
  Create an instance of `TaxonomyImportResponse`
  `TaxonomyOperationRequest`
  `createTaxonomyOperationRequest()`
  Create an instance of `TaxonomyOperationRequest`
  `TaxonomyOperationResponse`
  `createTaxonomyOperationResponse()`
  Create an instance of `TaxonomyOperationResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.d2_taxonomy_service

- ## Method Details

  - ### createTaxonomyOperationRequest

    public TaxonomyOperationRequest createTaxonomyOperationRequest()
    Create an instance of `TaxonomyOperationRequest`

  - ### createTaxonomyOperationResponse

    public TaxonomyOperationResponse createTaxonomyOperationResponse()
    Create an instance of `TaxonomyOperationResponse`

  - ### createTaxonomyImportRequest

    public TaxonomyImportRequest createTaxonomyImportRequest()
    Create an instance of `TaxonomyImportRequest`

  - ### createTaxonomyImportResponse

    public TaxonomyImportResponse createTaxonomyImportResponse()
    Create an instance of `TaxonomyImportResponse`

  - ### createTaxonomyExportRequest

    public TaxonomyExportRequest createTaxonomyExportRequest()
    Create an instance of `TaxonomyExportRequest`

  - ### createTaxonomyExportResponse

    public TaxonomyExportResponse createTaxonomyExportResponse()
    Create an instance of `TaxonomyExportResponse`

  - ### createGetExportTaxonomyUrlRequest

    public GetExportTaxonomyUrlRequest createGetExportTaxonomyUrlRequest()
    Create an instance of `GetExportTaxonomyUrlRequest`

  - ### createGetExportTaxonomyUrlResponse

    public GetExportTaxonomyUrlResponse createGetExportTaxonomyUrlResponse()
    Create an instance of `GetExportTaxonomyUrlResponse`

  - ### createGetImportTaxonomyUrlRequest

    public GetImportTaxonomyUrlRequest createGetImportTaxonomyUrlRequest()
    Create an instance of `GetImportTaxonomyUrlRequest`

  - ### createGetImportTaxonomyUrlResponse

    public GetImportTaxonomyUrlResponse createGetImportTaxonomyUrlResponse()
    Create an instance of `GetImportTaxonomyUrlResponse`

  - ### createSaveVersionTaxonomyRequest

    public SaveVersionTaxonomyRequest createSaveVersionTaxonomyRequest()
    Create an instance of `SaveVersionTaxonomyRequest`

  - ### createSaveVersionTaxonomyResponse

    public SaveVersionTaxonomyResponse createSaveVersionTaxonomyResponse()
    Create an instance of `SaveVersionTaxonomyResponse`

  - ### createSaveTaxonomyRequest

    public SaveTaxonomyRequest createSaveTaxonomyRequest()
    Create an instance of `SaveTaxonomyRequest`

  - ### createSaveTaxonomyResponse

    public SaveTaxonomyResponse createSaveTaxonomyResponse()
    Create an instance of `SaveTaxonomyResponse`

  - ### createImportVersionTaxonomyRequest

    public ImportVersionTaxonomyRequest createImportVersionTaxonomyRequest()
    Create an instance of `ImportVersionTaxonomyRequest`

  - ### createImportVersionTaxonomyResponse

    public ImportVersionTaxonomyResponse createImportVersionTaxonomyResponse()
    Create an instance of `ImportVersionTaxonomyResponse`